## coq-extructures 0.5.0

=== Makefile ===
# KNOWNTARGETS will not be passed along to CoqMakefile
KNOWNTARGETS := CoqMakefile extra-stuff extra-stuff2
# KNOWNFILES will not get implicit targets from the final rule, and so
# depending on them won't invoke the submake
# Warning: These files get declared as PHONY, so any targets depending
# on them always get rebuilt
KNOWNFILES   := Makefile _CoqProject

.DEFAULT_GOAL := invoke-coqmakefile

CoqMakefile: Makefile _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o CoqMakefile

invoke-coqmakefile: CoqMakefile
	$(MAKE) --no-print-directory -f CoqMakefile $(filter-out $(KNOWNTARGETS),$(MAKECMDGOALS))

.PHONY: invoke-coqmakefile $(KNOWNFILES)

####################################################################
##                      Your targets here                         ##
####################################################################

# This should be the last rule, to handle any targets not declared above
%: invoke-coqmakefile
	@true

## coq-extructures 0.3.1

=== debian/changelog ===
coq-extructures (0.3.1-3) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 13:54:55 +0100

coq-extructures (0.3.1-2) unstable; urgency=medium

  * Source-only upload for testing transition.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 31 Jul 2022 12:35:53 +0200

coq-extructures (0.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1015021)

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Jul 2022 14:29:31 +0200

=== debian/control ===
Source: coq-extructures
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-deriving,
               libcoq-mathcomp-ssreflect,
               libcoq-core-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-extructures
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-extructures.git
Homepage: https://github.com/arthuraa/extructures/

Package: libcoq-extructures
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: data structures with extensional reasoning for Coq
 This Coq plugin provides finite sets, maps and
 other data structures with extensional reasoning.
 .
 Coq is a proof assistant for higher-order logic.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	@echo "Doesn't work as expected"

override_dh_auto_configure:
	coq_makefile -f _CoqProject -o Makefile

override_dh_auto_install:
	DESTDIR=debian/tmp make install

## coq-extructures 0.4.0

=== debian/changelog ===
coq-extructures (0.4.0-3build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 22:12:05 +0200

coq-extructures (0.4.0-3) unstable; urgency=medium

  * Fix target distribution.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Apr 2024 16:02:24 +0200

coq-extructures (0.4.0-2) binary; urgency=medium

  * Rebuild for binary compatibility.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 11:42:49 +0100

coq-extructures (0.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1044466).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Dec 2023 11:31:46 +0100

coq-extructures (0.3.1-4) unstable; urgency=medium

  * Bump standards-release to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 15 Jun 2023 07:21:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

## coq-extructures 0.5.0

=== debian/changelog ===
coq-extructures (0.5.0-1build11) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:46:56 +0200

coq-extructures (0.5.0-1build10) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:20:09 +0200

coq-extructures (0.5.0-1build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:35:34 +0200

coq-extructures (0.5.0-1build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 May 2025 10:06:02 +0200

coq-extructures (0.5.0-1build7) questing; urgency=medium

  * Rebuild against coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 13:22:59 -0400

coq-extructures (0.5.0-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:06:20 +0100

coq-extructures (0.5.0-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2025 06:31:01 +0100

coq-extructures (0.5.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:52:35 +0100

coq-extructures (0.5.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:03:02 +0100

coq-extructures (0.5.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:41:10 +0100

coq-extructures (0.5.0-1build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 12:39:23 -0500

coq-extructures (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 Dec 2024 12:18:51 +0100

coq-extructures (0.4.0-4) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 08:11:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 	dh $@ --with coq,ocaml
 
 override_dh_auto_clean:
-	@echo "Doesn't work as expected"
+	make clean
+	find . -name "*.aux" -delete
+	rm -f CoqMakefile CoqMakefile.conf Makefile Makefile.conf
 
 override_dh_auto_configure:
 	coq_makefile -f _CoqProject -o Makefile

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom extructures fmap
Depends: coq, @
